//  main: main.less, out: ../style.css

// ====================================================================================================================================
// VARIABLES
// ====================================================================================================================================

// colour
@color__black: #1D1D1B;
@color__white: #ffffff;
@color__primary: @color__black;
@color__secondary: @color__black;
@color__tetiary: @color__black;
@color__light: #F3F2F1;

@color__text: #727272;
@color__footer: white;
@color__alpha: rgba(24, 32, 48, 0.95);

@shadow: 0 10px 40px -6px rgba(0, 0, 0, 0.10);
@shadow-hover: 0 10px 30px 0 rgba(0, 0, 0, 0.15);


// button + input
@button__color: @color__text;
@button__background: transparent;
@button__height: @margin__m;
@button__padding: 0 70px 0 0;
@button__size: @size__m;

@input__height: @button__height;
@input__border: 1px solid @color__primary;
@input__background: @color__white;
@input__size: @size__s;

// font
@size__xs: 11px;
@size__s: 14px;
@size__r: 15px;
@size__m: 18px;
@size__l: 22px;
@size__xl: 26px;
@size__xxl: 32px;
@size__xxxl: 46px;
@size__title: 70px;


@font_w__l: 300;
@font_w__r: 400;
@font_w__m: 500;
@font_w__b: 700;
@font_w__k: 900;

// misure
@margin__s: 20px;
@margin__m: 50px;
@margin__l: 70px;
@margin__xl: 100px;
@margin__xxl: 120px;

// layout
@header__h: 100px;
@header__h_phone: 100px;
@navmenu__w: 700px;
@navItem__h: 40px;
@navItem__h_phone: 60px;
@sidebar__w: 350px;
@topPaddingBody: 120px;
@topPaddingBody_phone: 80px;

@maxContentWidth: 700px;

@zindexTop: 999;
@zindexMedium: 199;
@zindexBottom: 99;